tomcat-jsp-2.3-api-8.0.44-1.mga6.noarch.rpm


Advertisement

Description

tomcat-jsp-2.3-api - Apache Tomcat JSP API implementation classes

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename tomcat-jsp-2.3-api-8.0.44-1.mga6.noarch.rpm
Package name tomcat-jsp-2.3-api
Package version 8.0.44
Package release 1.mga6
Package architecture noarch
Package type rpm
Category Development/Java
Homepage http://tomcat.apache.org/
License ASL 2.0
Maintainer -
Download size 63.89 KB
Installed size 64.00 KB
Apache Tomcat JSP API implementation classes.

Alternatives

Package Version Architecture Repository
tomcat-jsp-2.3-api-8.0.53-1.mga6.noarch.rpm 8.0.53 noarch Mageia Core Updates
tomcat-jsp-2.3-api-8.0.53-1.mga6.noarch.rpm 8.0.53 noarch Mageia Core Updates
tomcat-jsp-2.3-api-8.0.50-1.mga6.noarch.rpm 8.0.50 noarch Mageia Core Updates
tomcat-jsp-2.3-api-8.0.50-1.mga6.noarch.rpm 8.0.50 noarch Mageia Core Updates
tomcat-jsp-2.3-api-8.0.47-1.mga6.noarch.rpm 8.0.47 noarch Mageia Core Updates
tomcat-jsp-2.3-api-8.0.47-1.mga6.noarch.rpm 8.0.47 noarch Mageia Core Updates
tomcat-jsp-2.3-api-8.0.46-1.mga6.noarch.rpm 8.0.46 noarch Mageia Core Updates
tomcat-jsp-2.3-api-8.0.46-1.mga6.noarch.rpm 8.0.46 noarch Mageia Core Updates
tomcat-jsp-2.3-api-8.0.44-1.mga6.noarch.rpm 8.0.44 noarch Mageia Core
tomcat-jsp-2.3-api - - -

Requires

Name Value
chkconfig -
java-headless -
javapackages-tools -
tomcat-el-3.0-api == 1:8.0.44-1.mga6
tomcat-servlet-3.1-api == 1:8.0.44-1.mga6

Provides

Name Value
jsp == 2.3
mvn(org.apache.tomcat:tomcat-jsp-api) == 8.0.44
mvn(org.apache.tomcat:tomcat-jsp-api:pom:) == 8.0.44
mvn(org.eclipse.jetty.orbit:javax.servlet.jsp) == 8.0.44
mvn(org.eclipse.jetty.orbit:javax.servlet.jsp:pom:) == 8.0.44
osgi(javax.servlet.jsp) == 2.2.0
tomcat-jsp-2.3-api == 1:8.0.44-1.mga6

Obsoletes

Name Value
tomcat-jsp-2.2-api -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package tomcat-jsp-2.3-api-8.0.44-1.mga6.noarch.rpm
Source Package tomcat-8.0.44-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install tomcat-jsp-2.3-api rpm package:
    # urpmi tomcat-jsp-2.3-api

Files

Path
/usr/share/java/tomcat-jsp-2.3-api.jar
/usr/share/java/tomcat-jsp-api.jar
/usr/share/maven-metadata/tomcat-tomcat-jsp-api.xml
/usr/share/maven-poms/JPP-tomcat-jsp-api.pom

Changelog

2017-06-24 - daviddavid <daviddavid> 1:8.0.44-1.mga6
+ Revision: 1108269
- Update to 8.0.44, fixes CVE-2017-5664 (mga#21131)
2017-04-21 - neoclust <neoclust> 1:8.0.43-1.mga6
+ Revision: 1096991
- New version 8.0.43 ( Fixes CVE-2017-5647 and CVE-2017-5648 )
2017-02-10 - daviddavid <daviddavid> 1:8.0.41-1.mga6
+ Revision: 1085490
- Update to 8.0.41, fixes CVE-2016-8745 (mga#20081)
2016-12-01 - daviddavid <daviddavid> 1:8.0.39-1.mga6
+ Revision: 1071447
- Update to 8.0.39, fixes CVE-2016-6816 CVE-2016-6817 CVE-2016-8735 (mga#19828)
2016-10-25 - daviddavid <daviddavid> 1:8.0.38-1.mga6
+ Revision: 1063493
- Update to 8.0.38
2016-10-24 - daviddavid <daviddavid> 1:8.0.37-2.mga6
+ Revision: 1063410
- Resolves: CVE-2016-6325 tomcat: tomcat writable config files allow privilege escalation (mga#19560)
- Resolves: CVE-2016-5425 tomcat: Local privilege escalation via systemd-tmpfiles service (mga#19560)
- move logrotate.d and catalina.out files to -jsvc subpackage (like fedora)
2016-09-09 - daviddavid <daviddavid> 1:8.0.37-1.mga6
+ Revision: 1051080
- new version: 8.0.37 fixes CVE-2016-5388 (mga#19306)
- remove merged upstream asfbz-59960 patch
2016-08-12 - daviddavid <daviddavid> 1:8.0.36-1.mga6
+ Revision: 1046047
- new version: 8.0.36 (sync with fc24)
* Resolves: rhbz#1349469 CVE-2016-3092 tomcat: Usage of vulnerable FileUpload package can result in denial of service (updates to 8.0.36)
* Resolves: rhbz#1364056 The command tomcat-digest doesn't work
* Resolves: rhbz#1363884 The tomcat-tool-wrapper script is broken
* Resolves: rhbz#1347864 The systemd service unit does not allow tomcat to shut down gracefully
* Resolves: rhbz#1347835 The security manager doesn't work correctly (JSPs cannot be compiled)
* Resolves: rhbz#1341853 rpm -V tomcat fails on /var/log/tomcat/catalina.out
* Resolves: rhbz#1341850 tomcat-jsvc.service has TOMCAT_USER value hard-coded
* Resolves: rhbz#1359737 Missing maven depmap for the following artifacts: org.apache.tomcat:tomcat-websocket, org.apache.tomcat:tomcat-websocket-api
* Resolves: asfbz#59960  Building javadocs with java8 fails
- remove merged upstream patch
2016-07-02 - daviddavid <daviddavid> 1:8.0.32-2.mga6
+ Revision: 1038313
- add and rediff patch from debian to fix CVE-2016-3092 (mga#18803)
- sync some changes with fc24
+ neoclust <neoclust>
- Second rebuild of the java stack
2016-02-24 - daviddavid <daviddavid> 1:8.0.32-1.mga6
+ Revision: 978689
- update to 8.0.32 (sync package tomcat with fedora 24):
* Fix symlinks from $CATALINA_HOME/lib perspective, resolves: rhbz#1308685
* Remove log4j support. It has never been working actually. See rhbz#1236297
* Move shipped config to /etc/sysconfig/tomcat. /etc/tomcat/tomcat.conf can now
be used to override it with shell expansion, resolves rhbz#1293636
* Recommend tomcat-native, resolves: rhbz#1243132
* Resolves: rhbz#1286800 Failed to start component due to wrong
allowLinking="true" in context.xml
* Program /bin/nologin does not exist (#1302718)

See Also

Package Description
tomcat-jsvc-8.0.44-1.mga6.noarch.rpm Apache jsvc wrapper for Apache Tomcat as separate service
tomcat-lib-8.0.44-1.mga6.noarch.rpm Libraries needed to run the Tomcat Web container
tomcat-native-1.2.12-1.mga6.x86_64.rpm Tomcat native library
tomcat-servlet-3.1-api-8.0.44-1.mga6.noarch.rpm Apache Tomcat Servlet API implementation classes
tomcat-taglibs-parent-3-5.mga6.noarch.rpm Apache Taglibs Parent
tomcat-taglibs-standard-1.2.5-2.mga6.noarch.rpm Apache Standard Taglib
tomcat-taglibs-standard-javadoc-1.2.5-2.mga6.noarch.rpm Javadoc for tomcat-taglibs-standard
tomcat-webapps-8.0.44-1.mga6.noarch.rpm The ROOT and examples web applications for Apache Tomcat
tomoyo-tools-2.5.0-7.mga6.x86_64.rpm TOMOYO Linux tools
tong-1.3-5.mga6.x86_64.rpm A mixture of two classic games
tong-data-1.3-5.mga6.noarch.rpm Data files for the Tong game
toppler-1.1.6-5.mga6.x86_64.rpm Reimplementation of the old game known as Tower Toppler or Nebulous
tor-0.2.9.11-1.mga6.x86_64.rpm Anonymizing overlay network for TCP (The onion router)
tor-arm-1.4.5.0-2.mga6.noarch.rpm Terminal status monitor for Tor
tor-arm-devel-1.4.5.0-2.mga6.noarch.rpm Development files for tor-arm
Advertisement
Advertisement